### GET /software/catalog/apps/{objectId} Source: https://docs.jumpcloud.com/api/2.0/index.yaml Get an App Catalog Item. #### Sample Request ``` curl -X GET https://console.jumpcloud.com/api/v2/software/catalog/apps/{object_id} \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key:{API_KEY}' ``` ```markdown ### Parameters - **objectId** (string, path, required) ### Responses #### 200 - Success getting App Catalog Item. Empty response body #### 400 - Bad Request Bad Request #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - Not Found Not Found #### 500 - Internal Server Error Internal Server Error ### Example Usage ```bash curl -X GET "https://api.example.com/software/catalog/apps/{objectId}" ``` ``` -------------------------------- ### GET /devices/settings/signinwithjumpcloud Source: https://docs.jumpcloud.com/api/2.0/index.yaml Gets the Sign In with JumpCloud Settings for an Organization. #### Sample Request ``` curl -X GET https://console.jumpcloud.com/api/v2/devices/settings/signinwithjumpcloud \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key:{API_KEY}' ``` ```markdown ### Parameters - **organizationObjectId** (string, query, optional) ### Responses #### 200 - Settings successfully retrieved. Empty response body #### 400 - Bad Request Bad Request #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - Not Found Not Found #### 500 - Internal Server Error Internal Server Error ### Example Usage ```bash curl -X GET "https://api.example.com/devices/settings/signinwithjumpcloud?organizationObjectId=value" ``` ``` -------------------------------- ### GET /providers/{provider_id}/integrations/syncro/alerts/configuration/options Source: https://docs.jumpcloud.com/api/2.0/index.yaml Get all Syncro ticketing alert configuration options for a provider. ```markdown ### Responses #### 200 - OK Empty response body #### 400 - response Bad Request #### 401 - response Unauthenticated #### 403 - response Unauthorized #### 404 - response Not Found #### 500 - response Internal Server Error ### Example Usage ```bash curl -X GET "https://api.example.com/providers/{provider_id}/integrations/syncro/alerts/configuration/options" ``` ``` -------------------------------- ### GET /devices/settings/ssao Source: https://docs.jumpcloud.com/api/2.0/index.yaml Gets the SSAO devices Settings for an Organization. #### Sample Request ``` curl -X GET https://console.jumpcloud.com/api/v2/devices/settings/ssao \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key:{API_KEY}' ``` ```markdown ### Parameters - **organizationObjectId** (string, query, optional) ### Responses #### 200 - Settings successfully retrieved. Empty response body #### 400 - Bad Request Bad Request #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - Not Found Not Found #### 500 - Internal Server Error Internal Server Error ### Example Usage ```bash curl -X GET "https://api.example.com/devices/settings/ssao?organizationObjectId=value" ``` ``` -------------------------------- ### GET /queuedcommand/workflows Source: https://docs.jumpcloud.com/api/2.0/index.yaml This endpoint will return all queued Commands for an Organization. Each element will contain the workflow ID, the command name, the launch type (e.g. manual, triggered, or scheduled), the target OS, the number of assigned devices, and the number of pending devices that have not yet ran the command. #### Sample Request ``` curl -X GET https://console.jumpcloud.com/api/v2/queuedcommand/workflows \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'x-api-key: {API_KEY}' ``` ```markdown ### Parameters - **x-org-id** (string, header, optional): Organization identifier that can be obtained from console settings. - **limit** (string, query, optional) - **filter** (string, query, optional): A filter to apply to the query. **Filter structure**: `::`. **field** = Populate with a valid field from an endpoint response. **operator** = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in. _Note: v1 operators differ from v2 operators._ **value** = Populate with the value you want to search for. Is case sensitive. Supports wild cards. **EX:** `GET /api/v2/groups?filter=name:eq:Test+Group` - **skip** (string, query, optional): The offset into the records to return. - **sort** (string, query, optional): The comma separated fields used to sort the collection. Default sort is ascending, prefix with `-` to sort descending. - **search** (string, query, optional): The search string to query records ### Responses #### 200 - OK Empty response body #### 400 - response Bad Request #### 401 - response Unauthenticated #### 403 - response Unauthorized #### 404 - response Not Found #### 409 - response Conflict #### 500 - response Internal Server Error ### Example Usage ```bash curl -X GET "https://api.example.com/queuedcommand/workflows?limit=value&filter=value&skip=value&sort=value&search=value" ``` ``` -------------------------------- ### GET /users/{user_id}/associations Source: https://docs.jumpcloud.com/api/2.0/index.yaml This endpoint returns the _direct_ associations of a User. A direct association can be a non-homogeneous relationship between 2 different objects, for example Users and Systems. #### Sample Request ``` curl -X GET https://console.jumpcloud.com/api/v2/users/{UserID}/associations?targets=system_group \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {API_KEY}' ``` ```markdown ### Parameters - **targets** (string, query, required): Targets which a "user" can be associated to. - **limit** (string, query, optional): The number of records to return at once. Limited to 100. - **skip** (string, query, optional): The offset into the records to return. - **x-org-id** (string, header, optional): Organization identifier that can be obtained from console settings. ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/users/{user_id}/associations?targets=value&limit=value&skip=value" ``` ``` -------------------------------- ### GET /systems/{system_id}/associations Source: https://docs.jumpcloud.com/api/2.0/index.yaml This endpoint returns the _direct_ associations of a System. A direct association can be a non-homogeneous relationship between 2 different objects, for example Systems and Users. #### Sample Request ``` curl -X GET https://console.jumpcloud.com/api/v2/systems/{System_ID}/associations?targets=user \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {API_KEY}' ``` ```markdown ### Parameters - **targets** (string, query, required): Targets which a "system" can be associated to. - **limit** (string, query, optional): The number of records to return at once. Limited to 100. - **skip** (string, query, optional): The offset into the records to return. - **Date** (string, header, optional): Current date header for the System Context API - **Authorization** (string, header, optional): Authorization header for the System Context API - **x-org-id** (string, header, optional): Organization identifier that can be obtained from console settings. ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/systems/{system_id}/associations?targets=value&limit=value&skip=value" ``` ``` -------------------------------- ### POST /softwareapps/{software_app_id}/retry-installation Source: https://docs.jumpcloud.com/api/2.0/index.yaml This endpoints initiates an installation retry of an Apple VPP App for the provided system IDs #### Sample Request ``` $ curl -X POST https://console.jumpcloud.com/api/v2/softwareapps/{software_app_id}/retry-installation \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {API_KEY}' \ -d '{"system_ids": ["", "", ...]}' ``` ```markdown ### Responses #### 204 - No Content Empty response body #### 400 - response Bad Request ### Example Usage ```bash curl -X POST "https://api.example.com/softwareapps/{software_app_id}/retry-installation" ``` ``` -------------------------------- ### GET /systeminsights/startup_items Source: https://docs.jumpcloud.com/api/2.0/index.yaml Valid filter fields are `system_id` and `name`. ```markdown ### Parameters - **skip** (string, query, optional): The offset into the records to return. - **sort** (string, query, optional): The comma separated fields used to sort the collection. Default sort is ascending, prefix with `-` to sort descending. e.g: Sort by single field: `sort=field` Sort descending by single field: `sort=-field` Sort by multiple fields: `sort=field1,-field2,field3` - **filter** (string, query, optional): Supported operators are: eq, in. e.g: Filter for single value: `filter=field:eq:value` Filter for any value in a list: (note "pipe" character: `|` separating values) `filter=field:in:value1|value2|value3` - **x-org-id** (string, header, optional): Organization identifier that can be obtained from console settings. - **limit** (string, query, optional) ### Responses #### 200 - response Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/systeminsights/startup_items?skip=value&sort=value&filter=value&limit=value" ``` ``` -------------------------------- ### GET /policies/{policy_id}/associations Source: https://docs.jumpcloud.com/api/2.0/index.yaml This endpoint returns the _direct_ associations of a Policy. A direct association can be a non-homogeneous relationship between 2 different objects, for example Policies and Systems. #### Sample Request ``` curl -X GET 'https://console.jumpcloud.com/api/v2/policies/{Policy_ID}/associations?targets=system_group \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {API_KEY}' ``` ```markdown ### Parameters - **targets** (string, query, required): Targets which a "policy" can be associated to. - **limit** (string, query, optional): The number of records to return at once. Limited to 100. - **skip** (string, query, optional): The offset into the records to return. - **x-org-id** (string, header, optional): Organization identifier that can be obtained from console settings. ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/policies/{policy_id}/associations?targets=value&limit=value&skip=value" ``` ``` -------------------------------- ### GET /subscriptions Source: https://docs.jumpcloud.com/api/2.0/index.yaml This endpoint returns all pricing & packaging subscriptions. ##### Sample Request ``` curl -X GET https://console.jumpcloud.com/api/v2/subscriptions \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {API_KEY}' ``` ```markdown ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/subscriptions" ``` ``` -------------------------------- ### GET /ldapservers/{ldapserver_id}/associations Source: https://docs.jumpcloud.com/api/2.0/index.yaml This endpoint returns the _direct_ associations of this LDAP Server. A direct association can be a non-homogeneous relationship between 2 different objects, for example LDAP and Users. #### Sample Request ``` curl -X GET 'https://console.jumpcloud.com/api/v2/ldapservers/{LDAP_ID}/associations?targets=user_group \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'x-api-key: {API_KEY}' ``` ```markdown ### Parameters - **targets** (string, query, required): Targets which a "ldap_server" can be associated to. - **limit** (string, query, optional): The number of records to return at once. Limited to 100. - **skip** (string, query, optional): The offset into the records to return. - **x-org-id** (string, header, optional): Organization identifier that can be obtained from console settings. ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/ldapservers/{ldapserver_id}/associations?targets=value&limit=value&skip=value" ``` ``` -------------------------------- ### GET /commands/{command_id}/associations Source: https://docs.jumpcloud.com/api/2.0/index.yaml This endpoint will return the _direct_ associations of this Command. A direct association can be a non-homogeneous relationship between 2 different objects, for example Commands and User Groups. #### Sample Request ``` curl -X GET https://console.jumpcloud.com/api/v2/commands/{Command_ID}/associations?targets=system_group \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'x-api-key: {API_KEY}' ``` ```markdown ### Parameters - **targets** (string, query, required): Targets which a "command" can be associated to. - **limit** (string, query, optional): The number of records to return at once. Limited to 100. - **skip** (string, query, optional): The offset into the records to return. - **x-org-id** (string, header, optional): Organization identifier that can be obtained from console settings. ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/commands/{command_id}/associations?targets=value&limit=value&skip=value" ``` ``` -------------------------------- ### POST /policies Source: https://docs.jumpcloud.com/api/2.0/index.yaml This endpoint allows you to create a policy. Given the amount of configurable parameters required to create a Policy, we suggest you use the JumpCloud Admin Console to create new policies. ##### Sample Request ``` curl -X POST https://console.jumpcloud.com/api/v2/policies \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {API_KEY}' \ -d '{ {Policy_Parameters} }' ``` ```markdown ### Parameters - **body** (PolicyCreateRequest, body, optional) - **x-org-id** (string, header, optional): Organization identifier that can be obtained from console settings. ### Responses #### 201 - Created Empty response body ### Example Usage ```bash curl -X POST "https://api.example.com/policies" ``` ``` -------------------------------- ### POST /assets/accessories Source: https://docs.jumpcloud.com/api/2.0/index.yaml Create a new accessory asset ```markdown ### Parameters - **body** (jumpcloud.http.assets.CreateAssetRequest, body, required): Accessory asset creation data ### Responses #### 201 - Accessory asset created successfully Empty response body #### 400 - Bad request - invalid data format Bad request - invalid data format #### 401 - Unauthorized - authentication required Unauthorized - authentication required #### default - Generic error response Generic error response ### Example Usage ```bash curl -X POST "https://api.example.com/assets/accessories" ``` ``` -------------------------------- ### GET /applications/{application_id}/associations Source: https://docs.jumpcloud.com/api/2.0/index.yaml This endpoint will return the _direct_ associations of an Application. A direct association can be a non-homogeneous relationship between 2 different objects, for example Applications and User Groups. #### Sample Request ``` curl -X GET 'https://console.jumpcloud.com/api/v2/applications/{Application_ID}/associations?targets=user_group \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'x-api-key: {API_KEY}' ``` ```markdown ### Parameters - **targets** (string, query, required): Targets which a "application" can be associated to. - **limit** (string, query, optional): The number of records to return at once. Limited to 100. - **skip** (string, query, optional): The offset into the records to return. - **x-org-id** (string, header, optional): Organization identifier that can be obtained from console settings. ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/applications/{application_id}/associations?targets=value&limit=value&skip=value" ``` ``` -------------------------------- ### POST /workdays Source: https://docs.jumpcloud.com/api/2.0/index.yaml This endpoint allows you to create a new workday instance. You must supply a username and password for `Basic Authentication` that is the same as your WorkDay Integrator System User. Failure to provide these credentials will result in the request being rejected. Currently `O-Auth` isn't a supported authentication protocol for WorkDay, but will be in the future. Currently, only one instance is allowed and it must be `Workday Import`. #### Sample Request ``` curl -X POST https://console.jumpcloud.com/api/v2/workdays/ \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {API_KEY}' \ -d '{ "name": "Workday2", "reportUrl":"https://workday.com/ccx/service/customreport2/gms/user/reportname?format=json", "auth": { "basic": { "username": "someDeveloper", "password": "notTheRealPassword" } } }' ``` ```markdown ### Parameters - **body** (workday-input, body, optional) - **x-org-id** (string, header, optional): Organization identifier that can be obtained from console settings. ### Responses #### 201 - response Empty response body ### Example Usage ```bash curl -X POST "https://api.example.com/workdays" ``` ``` -------------------------------- ### GET /usergroups/{group_id}/associations Source: https://docs.jumpcloud.com/api/2.0/index.yaml This endpoint returns the _direct_ associations of this User Group. A direct association can be a non-homogeneous relationship between 2 different objects, for example User Groups and Users. #### Sample Request ``` curl -X GET https://console.jumpcloud.com/api/v2/usergroups/{GroupID}/associations?targets=system \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {API_KEY}' ``` ```markdown ### Parameters - **targets** (string, query, required): Targets which a "user_group" can be associated to. - **limit** (string, query, optional): The number of records to return at once. Limited to 100. - **skip** (string, query, optional): The offset into the records to return. - **x-org-id** (string, header, optional): Organization identifier that can be obtained from console settings. ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/usergroups/{group_id}/associations?targets=value&limit=value&skip=value" ``` ``` -------------------------------- ### GET /systemgroups/{group_id}/associations Source: https://docs.jumpcloud.com/api/2.0/index.yaml This endpoint returns the _direct_ associations of a System Group. A direct association can be a non-homogeneous relationship between 2 different objects, for example System Groups and Users. #### Sample Request ``` curl -X GET https://console.jumpcloud.com/api/v2/systemgroups/{GroupID}/associations?targets=user \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {API_KEY}' ``` ```markdown ### Parameters - **targets** (string, query, required): Targets which a "system_group" can be associated to. - **limit** (string, query, optional): The number of records to return at once. Limited to 100. - **skip** (string, query, optional): The offset into the records to return. - **x-org-id** (string, header, optional): Organization identifier that can be obtained from console settings. ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/systemgroups/{group_id}/associations?targets=value&limit=value&skip=value" ``` ``` -------------------------------- ### POST /activedirectories/translation-rules/preview Source: https://docs.jumpcloud.com/api/2.0/index.yaml This endpoint previews the translation rules for a user. #### Sample Request ``` curl -X POST '[https://console.jumpcloud.com/api/v2/activedirectories/](https://console.jumpcloud.com/api/v2/activedirectories/){activedirectory_id}/translationrules/preview' \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'x-api-key: {API_KEY}' \ -H 'x-org-id: {ORG_ID}' \ -d '{ "userObjectId": "{USER_ID_HEX}", "idmTranslationRules": [ { "source": "department", "destination": "customDepartment", "sourceType": "PATH", "direction": "IMPORT", "appliedOn": [ "CREATE" ] } ] }' ``` ```markdown ### Parameters - **x-org-id** (string, header, optional): Organization identifier that can be obtained from console settings. - **body** (ActiveDirectoriesTranslationRulesPreviewRequest, body, optional) ### Responses #### 200 - Result of the preview operation. Empty response body #### default - Error response Error response ### Example Usage ```bash curl -X POST "https://api.example.com/activedirectories/translation-rules/preview" ``` ``` -------------------------------- ### GET /healthmonitoring/rules/{rule_id}/associations Source: https://docs.jumpcloud.com/api/2.0/index.yaml This endpoint returns the _direct_ associations of a Health monitoring Rule. A direct association can be a non-homogeneous relationship between 2 different objects, for example Rules and Systems. #### Sample Request ``` curl -X GET 'https://console.jumpcloud.com/api/v2/healthmonitoring/rules/{rule_id}/associations?targets=system_group \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {API_KEY}' ``` ```markdown ### Parameters - **targets** (string, query, required): Targets which a "rule" can be associated to. - **limit** (string, query, optional): The number of records to return at once. Limited to 100. - **skip** (string, query, optional): The offset into the records to return. - **x-org-id** (string, header, optional): Organization identifier that can be obtained from console settings. ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/healthmonitoring/rules/{rule_id}/associations?targets=value&limit=value&skip=value" ``` ``` -------------------------------- ### POST /google-emm/signup-urls Source: https://docs.jumpcloud.com/api/2.0/index.yaml Creates a Google EMM enterprise signup URL. #### Sample Request ``` curl -X POST https://console.jumpcloud.com/api/v2/google-emm/signup-urls \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -H "x-api-key: ${API_KEY}" ``` ```markdown ### Parameters - **body** (jumpcloud.google_emm.SignupURLRequest, body, required) ### Responses #### 200 - A successful response. Empty response body ### Example Usage ```bash curl -X POST "https://api.example.com/google-emm/signup-urls" ``` ``` -------------------------------- ### GET /radiusservers/{radiusserver_id}/associations Source: https://docs.jumpcloud.com/api/2.0/index.yaml This endpoint returns the _direct_ associations of a Radius Server. A direct association can be a non-homogeneous relationship between 2 different objects, for example Radius Servers and Users. #### Sample Request ``` curl -X GET https://console.jumpcloud.com/api/v2/radiusservers/{RADIUS_ID}/associations?targets=user_group \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {API_KEY}' ``` ```markdown ### Parameters - **targets** (string, query, required): Targets which a "radius_server" can be associated to. - **limit** (string, query, optional): The number of records to return at once. Limited to 100. - **skip** (string, query, optional): The offset into the records to return. - **x-org-id** (string, header, optional): Organization identifier that can be obtained from console settings. ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/radiusservers/{radiusserver_id}/associations?targets=value&limit=value&skip=value" ``` ``` -------------------------------- ### GET /software/catalog/apps Source: https://docs.jumpcloud.com/api/2.0/index.yaml List the current App Catalog Items. #### Sample Request ``` curl -X GET https://console.jumpcloud.com/api/v2/software/catalog/apps \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key:{API_KEY}' ``` Note: The list results can be filtered by `name`, `operating_system`, and `installer_type` while sorting is only allowed on `name`. Note: The `limit` maximum is 100 App Catalog Items in a single response. ```markdown ### Parameters - **filter** (string, query, optional): A filter to apply to the query. **Filter structure**: `::`. **field** = Populate with a valid field from an endpoint response. **operator** = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in. **value** = Populate with the value you want to search for. Is case sensitive. Supports wild cards. **Example** `GET /api/v2/groups?filter=name:eq:Test+Group` - **fields** (string, query, optional): The fields on the items listed to return. - **skip** (string, query, optional): The offset into the records to return. - **sort** (string, query, optional): An optional comma separated field names used to sort the collection. Default sort is ascending, prefix with `-` to sort descending. - **limit** (string, query, optional): The number of resources to return at once. If the number of resources returned is less than `limit` there are no more resources to fetch. If the number of resources returned is equal to limit there may be more resources to fetch. Increment `skip` by `limit` to get the next set of resources. ### Responses #### 200 - Success listing App Catalog Items. Empty response body #### 400 - Bad Request Bad Request #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - Not Found Not Found #### 500 - Internal Server Error Internal Server Error ### Example Usage ```bash curl -X GET "https://api.example.com/software/catalog/apps?filter=value&fields=value&skip=value&sort=value&limit=value" ``` ``` -------------------------------- ### GET /policygroups/{group_id}/associations Source: https://docs.jumpcloud.com/api/2.0/index.yaml This endpoint returns the _direct_ associations of this Policy Group. A direct association can be a non-homogeneous relationship between 2 different objects, for example Policy Groups and Policies. #### Sample Request ``` curl -X GET https://console.jumpcloud.com/api/v2/policygroups/{GroupID}/associations?targets=system \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {API_KEY}' ``` ```markdown ### Parameters - **targets** (string, query, required): Targets which a "policy_group" can be associated to. - **limit** (string, query, optional): The number of records to return at once. Limited to 100. - **skip** (string, query, optional): The offset into the records to return. - **x-org-id** (string, header, optional): Organization identifier that can be obtained from console settings. ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/policygroups/{group_id}/associations?targets=value&limit=value&skip=value" ``` ``` -------------------------------- ### POST /duo/accounts/{account_id}/applications Source: https://docs.jumpcloud.com/api/2.0/index.yaml Creates a Duo application for your organization and the specified account. #### Sample Request ``` curl -X POST https://console.jumpcloud.com/api/v2/duo/accounts/{ACCOUNT_ID}/applications \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'x-api-key: {API_KEY}' \ -d '{ "name": "Application Name", "apiHost": "api-1234.duosecurity.com", "integrationKey": "1234", "secretKey": "5678" }' ``` ```markdown ### Parameters - **body** (DuoApplicationReq, body, optional) - **x-org-id** (string, header, optional): Organization identifier that can be obtained from console settings. ### Responses #### 201 - response Empty response body #### 400 - response Bad Request #### 401 - response Unauthenticated #### 403 - response Unauthorized #### 404 - response Not Found #### 409 - response Conflict #### 500 - response Internal Server Error ### Example Usage ```bash curl -X POST "https://api.example.com/duo/accounts/{account_id}/applications" ``` ``` -------------------------------- ### GET /softwareapps/{software_app_id}/associations Source: https://docs.jumpcloud.com/api/2.0/index.yaml This endpoint will return the _direct_ associations of a Software Application. A direct association can be a non-homogeneous relationship between 2 different objects, for example Software Application and System Groups. #### Sample Request ``` curl -X GET https://console.jumpcloud.com/api/v2/softwareapps/{software_app_id}/associations?targets=system_group \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'x-api-key: {API_KEY}' ``` ```markdown ### Parameters - **targets** (string, query, required): Targets which a "software_app" can be associated to. - **limit** (string, query, optional): The number of records to return at once. Limited to 100. - **skip** (string, query, optional): The offset into the records to return. - **x-org-id** (string, header, optional): Organization identifier that can be obtained from console settings. ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/softwareapps/{software_app_id}/associations?targets=value&limit=value&skip=value" ``` ``` -------------------------------- ### POST /assets/devices Source: https://docs.jumpcloud.com/api/2.0/index.yaml Create a new device asset ```markdown ### Parameters - **body** (jumpcloud.http.assets.CreateAssetRequest, body, required): Device asset creation data ### Responses #### 201 - Device asset created successfully Empty response body #### 400 - Bad request - invalid data Bad request - invalid data #### 401 - Unauthorized - authentication required Unauthorized - authentication required #### 409 - Conflict - asset with unique field value already exists Conflict - asset with unique field value already exists #### default - Generic error response Generic error response ### Example Usage ```bash curl -X POST "https://api.example.com/assets/devices" ``` ``` -------------------------------- ### GET /office365s/{office365_id}/associations Source: https://docs.jumpcloud.com/api/2.0/index.yaml This endpoint returns _direct_ associations of an Office 365 instance. A direct association can be a non-homogeneous relationship between 2 different objects, for example Office 365 and Users. #### Sample Request ``` curl -X GET 'https://console.jumpcloud.com/api/v2/office365s/{OFFICE365_ID}/associations?targets=user_group' \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {API_KEY}' ``` ```markdown ### Parameters - **targets** (string, query, required): Targets which a "office_365" can be associated to. - **limit** (string, query, optional): The number of records to return at once. Limited to 100. - **skip** (string, query, optional): The offset into the records to return. - **x-org-id** (string, header, optional): Organization identifier that can be obtained from console settings. ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/office365s/{office365_id}/associations?targets=value&limit=value&skip=value" ``` ``` -------------------------------- ### POST /systemgroups Source: https://docs.jumpcloud.com/api/2.0/index.yaml This endpoint allows you to create a new System Group. See the [Dynamic Group Configuration KB article](https://jumpcloud.com/support/configure-dynamic-device-groups) for more details on maintaining a Dynamic Group. #### Sample Request ``` curl -X POST https://console.jumpcloud.com/api/v2/systemgroups \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {API_KEY}' \ -d '{ "name": "{Group_Name}" }' ``` ```markdown ### Parameters - **body** (SystemGroupPost, body, optional) - **x-org-id** (string, header, optional): Organization identifier that can be obtained from console settings. ### Responses #### 201 - Created Empty response body ### Example Usage ```bash curl -X POST "https://api.example.com/systemgroups" ``` ``` -------------------------------- ### GET /systems/{system_id}/softwareappstatuses Source: https://docs.jumpcloud.com/api/2.0/index.yaml This endpoint returns all the statuses of the associated Software Applications from the provided JumpCloud system ID. #### Sample Request ``` curl -X GET https://console.jumpcloud.com/api/v2/systems/{system_id}/softwareappstatuses \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {API_KEY}' ``` ```markdown ### Parameters - **x-org-id** (string, header, optional): Organization identifier that can be obtained from console settings. - **filter** (string, query, optional): A filter to apply to the query. **Filter structure**: `::`. **field** = Populate with a valid field from an endpoint response. **operator** = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in. _Note: v1 operators differ from v2 operators._ **value** = Populate with the value you want to search for. Is case sensitive. Supports wild cards. **EX:** `GET /api/v2/groups?filter=name:eq:Test+Group` - **limit** (string, query, optional): The number of records to return at once. Limited to 100. - **skip** (string, query, optional): The offset into the records to return. - **sort** (string, query, optional): The comma separated fields used to sort the collection. Default sort is ascending, prefix with `-` to sort descending. ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/systems/{system_id}/softwareappstatuses?filter=value&limit=value&skip=value&sort=value" ``` ``` -------------------------------- ### GET /gsuites/{gsuite_id}/associations Source: https://docs.jumpcloud.com/api/2.0/index.yaml This endpoint returns the _direct_ associations of this G Suite instance. A direct association can be a non-homogeneous relationship between 2 different objects, for example G Suite and Users. #### Sample Request ``` curl -X GET 'https://console.jumpcloud.com/api/v2/gsuites/{Gsuite_ID}/associations?targets=user_group \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'x-api-key: {API_KEY}' ``` ```markdown ### Parameters - **targets** (string, query, required): Targets which a "g_suite" can be associated to. - **limit** (string, query, optional): The number of records to return at once. Limited to 100. - **skip** (string, query, optional): The offset into the records to return. - **x-org-id** (string, header, optional): Organization identifier that can be obtained from console settings. ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/gsuites/{gsuite_id}/associations?targets=value&limit=value&skip=value" ``` ``` -------------------------------- ### GET /activedirectories/{activedirectory_id}/associations Source: https://docs.jumpcloud.com/api/2.0/index.yaml This endpoint returns the direct associations of this Active Directory instance. A direct association can be a non-homogeneous relationship between 2 different objects, for example Active Directory and Users. #### Sample Request ``` curl -X GET 'https://console.jumpcloud.com/api/v2/activedirectories/{ActiveDirectory_ID}/associations?targets=user \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'x-api-key: {API_KEY}' ``` ```markdown ### Parameters - **targets** (string, query, required): Targets which a "active_directory" can be associated to. - **limit** (string, query, optional): The number of records to return at once. Limited to 100. - **skip** (string, query, optional): The offset into the records to return. - **x-org-id** (string, header, optional): Organization identifier that can be obtained from console settings. ### Responses #### 200 - response Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/activedirectories/{activedirectory_id}/associations?targets=value&limit=value&skip=value" ``` ``` -------------------------------- ### POST /saas-management/applications Source: https://docs.jumpcloud.com/api/2.0/index.yaml Create a new application ```markdown ### Parameters - **body** (jumpcloud.http.saas_app_management.PublicAPICreateApplicationRequest, body, required): Application creation request ### Responses #### 201 - Application created successfully Empty response body #### 400 - Bad request Bad request #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - Not Found Not Found #### 500 - Internal server error Internal server error #### default - Generic error response Generic error response ### Example Usage ```bash curl -X POST "https://api.example.com/saas-management/applications" ``` ``` -------------------------------- ### GET /passwordmanageritems/{passwordmanageritem_id}/associations Source: https://docs.jumpcloud.com/api/2.0/index.yaml This endpoint returns _direct_ associations of a Password Manager Item. A direct association can be a non-homogeneous relationship between 2 different objects, for example Password Mangager Item and Users. #### Sample Request ``` curl -X GET 'https://console.jumpcloud.com/api/v2/passwordmanageritems/{passwordmanageritem_id}/associations?targets=user_group' \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {API_KEY}' ``` ```markdown ### Parameters - **targets** (string, query, required): Targets which a "password_manager_item" can be associated to. - **limit** (string, query, optional): The number of records to return at once. Limited to 100. - **skip** (string, query, optional): The offset into the records to return. - **x-org-id** (string, header, optional): Organization identifier that can be obtained from console settings. ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/passwordmanageritems/{passwordmanageritem_id}/associations?targets=value&limit=value&skip=value" ``` ``` -------------------------------- ### POST /iplists Source: https://docs.jumpcloud.com/api/2.0/index.yaml Create an IP list. #### Sample Request ``` curl -X POST https://console.jumpcloud.com/api/v2/iplists \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'x-api-key: {API_KEY}' \ -d '{ "name": "Sample IP List", "ips": [ "192.168.10.12", "192.168.10.20 - 192.168.10.30", "123.225.10.0/32" ] }' ``` ```markdown ### Parameters - **body** (IPListRequest, body, optional) - **x-org-id** (string, header, optional): Organization identifier that can be obtained from console settings. ### Responses #### 201 - Created Empty response body #### 400 - response Bad Request #### 401 - response Unauthenticated #### 403 - response Unauthorized #### 404 - response Not Found #### 409 - response Conflict #### 500 - response Internal Server Error ### Example Usage ```bash curl -X POST "https://api.example.com/iplists" ``` ``` -------------------------------- ### GET /integrations/syncro/{UUID}/billing_mapping_configuration_options Source: https://docs.jumpcloud.com/api/2.0/index.yaml Retrieves a list of dependencies for Syncro billing mappings. ```markdown ### Parameters - **fields** (string, query, optional): The comma separated fields included in the returned records. If omitted, the default list of fields will be returned. - **filter** (string, query, optional): A filter to apply to the query. **Filter structure**: `::`. **field** = Populate with a valid field from an endpoint response. **operator** = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in. _Note: v1 operators differ from v2 operators._ **value** = Populate with the value you want to search for. Is case sensitive. Supports wild cards. **EX:** `GET /api/v2/groups?filter=name:eq:Test+Group` - **limit** (string, query, optional): The number of records to return at once. Limited to 100. - **skip** (string, query, optional): The offset into the records to return. - **sort** (string, query, optional): The comma separated fields used to sort the collection. Default sort is ascending, prefix with `-` to sort descending. ### Responses #### 200 - OK Empty response body #### 400 - response Bad Request #### 401 - response Unauthenticated #### 403 - response Unauthorized #### 404 - response Not Found #### 500 - response Internal Server Error ### Example Usage ```bash curl -X GET "https://api.example.com/integrations/syncro/{UUID}/billing_mapping_configuration_options?fields=value&filter=value&limit=value&skip=value&sort=value" ``` ``` -------------------------------- ### GET /passwordmanager/company/policies Source: https://docs.jumpcloud.com/api/2.0/index.yaml Get organization policies ```markdown ### Responses #### 200 - A successful response. Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/passwordmanager/company/policies" ``` ``` -------------------------------- ### POST /authn/policies Source: https://docs.jumpcloud.com/api/2.0/index.yaml Create an authentication policy. #### Sample Request ``` curl -X POST https://console.jumpcloud.com/api/v2/authn/policies \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'x-api-key: {API_KEY}' \ -d '{ "name": "Sample Policy", "disabled": false, "effect": { "action": "allow" }, "targets": { "users": { "inclusions": ["ALL"] }, "userGroups": { "exclusions": [{USER_GROUP_ID}] }, "resources": [ {"type": "user_portal" } ] }, "conditions":{ "ipAddressIn": [{IP_LIST_ID}] } }' ``` ```markdown ### Parameters - **x-org-id** (string, header, optional): Organization identifier that can be obtained from console settings. - **body** (AuthnPolicy, body, optional) ### Responses #### 201 - Created Empty response body #### 400 - response Bad Request #### 401 - response Unauthenticated #### 403 - response Unauthorized #### 404 - response Not Found #### 409 - response Conflict #### 500 - response Internal Server Error ### Example Usage ```bash curl -X POST "https://api.example.com/authn/policies" ``` ``` -------------------------------- ### GET /passwordmanager/devices/{UUID} Source: https://docs.jumpcloud.com/api/2.0/index.yaml Get Device ```markdown ### Parameters - **UUID** (string, path, required) ### Responses #### 200 - A successful response. Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/passwordmanager/devices/{UUID}" ``` ```